import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.List;
/**
 * Will clear the Field of all Objects when clicked.
 * 
 * @author Mr. Hedgeapple 
 * @version 1.0
 */
public class ClearButton extends Actor
{
    public ClearButton()
    {
        setImage(new GreenfootImage(" Clear ", 30, Color.BLACK, Color.WHITE));
    }
    
    /**
     * Act - do whatever the ClearButton wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        World myWorld = getWorld();
        if (!myWorld.getObjects(Objects.class).isEmpty() && Greenfoot.mouseClicked(this))
        {
            List objects = myWorld.getObjects(Objects.class);
            myWorld.removeObjects(objects);
            Objects.totalGroups = 0;
        }
    }    
}
