import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Denotes the edge of the area where Objects can be placed.
 * 
 * @author Mr. Hedgeapple
 * @version 1.5
 */
public class Border extends Actor
{
    boolean ini = true;
    /**
     * Basic constructor for Border
     */
    public Border()
    {
        setImage(new GreenfootImage(1, 700));
        GreenfootImage img = getImage();
        img.setColor(Color.WHITE);
        img.drawRect(0, 0, 1, img.getHeight());
    }

    /**
     * Act - do whatever the Border wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        if (ini)
        {
            setImage(new GreenfootImage(Field.size, 700));
            GreenfootImage img = getImage();
            img.setColor(Color.WHITE);
            img.drawRect(0, 0, 0, img.getHeight());
            ini = false;
        }
    }    
}
